/*
 * MainSwingFrame.java
 *
 * This class moves the Swing GUI for the main window out of the MuckMain class.
 * Created on June 16, 2005, 7:53 PM
 */

/* JamochaMUD, a Muck/Mud client program
 * Copyright (C) 1998-2005  Jeff Robinson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package anecho.JamochaMUD;

import anecho.gui.*;

/**
 *
 * @author  jeffnik
 */
// public class MainSwingFrame extends javax.swing.JFrame {
public class MainSwingFrame extends JSyncFrame {
    
    /** Creates new form MainSwingFrame */
    public MainSwingFrame() {
        this("");
    }
    
    public MainSwingFrame(String title) {
        this(title, null);
        // initComponents();
        // this.setTitle(title);
    }
    
    public MainSwingFrame(String title, SyncFrameGroup group) {
        this(title, false, group);
        
    }
    
    public MainSwingFrame(String title, boolean sync, SyncFrameGroup group) {
        super(title);
        initComponents();
    }

    public int getDividerLocation() {
        int retVal = masterPane.getDividerLocation();
        
        return retVal;
    }
    
    public void setDividerLocation(int loc) {
        masterPane.setDividerLocation(loc);
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        masterPane = new javax.swing.JSplitPane();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        masterPane.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        masterPane.setResizeWeight(1.0);
        getContentPane().add(masterPane, java.awt.BorderLayout.CENTER);

        pack();
    }//GEN-END:initComponents
   
    public void setPaneComponent(java.awt.Component comp, int pos) {
        if (pos == TOP) {
            masterPane.setTopComponent(comp);
        } else {
            masterPane.setBottomComponent(comp);
        }
    }
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JSplitPane masterPane;
    // End of variables declaration//GEN-END:variables
    public static int TOP = 0;
    public static int BOTTOM = 1;
}
